commit:     32f482f035c3846b7750353057357b8a10c99562
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 02:17:00 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 02:17:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32f482f0

dev-python/sphinx: Bump to 8.1.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx/Manifest            |   1 +
 dev-python/sphinx/sphinx-8.1.2.ebuild | 144 ++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+)

diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index 751127cf152b..7e8e6e5d2ff3 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST sphinx-7.4.7.gh.tar.gz 8135111 BLAKE2B 
b5a511355b16edfbcf32f9a20855466251c5
 DIST sphinx-8.0.2.gh.tar.gz 8264835 BLAKE2B 
ed6e321a1e58341609d88993c418ec1a0a580683ed28895077322fdba839d5c158007d65d5349d4d53c5e3b49ae823142cc6eb0203812580ebbb5b95247bf157
 SHA512 
5e9f38af91d7a80b6a80a80ab26adbebc1c3303996182a58eed9120ed896c5bfde022616e116e8cb8195fe03741e93fd97dcacccf492912ab147c5bfcb79213d
 DIST sphinx-8.1.0.gh.tar.gz 8245765 BLAKE2B 
a1caee3905b233f5401a7660d876befcfe85d5d630d1ce67c7386eb56aebe855684e88ed95899a9c0ad359c6ae02024784dd0388cf46ae6e41e927608514f6b8
 SHA512 
265d69167c8c8e3eb9ef174a22641b15eff7585026f1cfcaf00ba9966ad8a60ec0bc6128158fcb2b098f63c6444b1392de6413ac5884e7eafe6544c3a9c99443
 DIST sphinx-8.1.1.gh.tar.gz 8246435 BLAKE2B 
bc1e45b2528ae5e8376965cc923a4103c2ac410022d2991c162f75ab922c361ae696f1317728e4b4e23e7a121c486cf59b44c394211c9cfb249ffed3a4824ba5
 SHA512 
74cb44d3714a4000f92fe302cdd820be49580554fa3585de85d5d636b413e0eacbbc81cb26286304564bab0fe3eccfb16ab1d37bbe0251c5eab902179e8130d2
+DIST sphinx-8.1.2.gh.tar.gz 8245135 BLAKE2B 
9edf8421120f9535ac71b2006f6130181fee8effb7d384d393524982db23aa3eb9f17eadeedcdac7b1b9546a33212068191d104ff6f45c554e7bac47978d5d8c
 SHA512 
53592150846cfab4589a2c1b8189db26a4ea3441b256e57661e2529e0f6b5fafa701a7cac8401df724755d08d81ff2f283e8fdaa25671014c49ff083ca51854e

diff --git a/dev-python/sphinx/sphinx-8.1.2.ebuild 
b/dev-python/sphinx/sphinx-8.1.2.ebuild
new file mode 100644
index 000000000000..d9afbaed2b7f
--- /dev/null
+++ b/dev-python/sphinx/sphinx-8.1.2.ebuild
@@ -0,0 +1,144 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..13} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="
+       https://www.sphinx-doc.org/
+       https://github.com/sphinx-doc/sphinx/
+       https://pypi.org/project/Sphinx/
+"
+SRC_URI="
+       https://github.com/sphinx-doc/sphinx/archive/v${PV/_}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+       >=dev-python/alabaster-0.7.14[${PYTHON_USEDEP}]
+       >=dev-python/Babel-2.13[${PYTHON_USEDEP}]
+       <dev-python/docutils-0.22[${PYTHON_USEDEP}]
+       >=dev-python/docutils-0.20[${PYTHON_USEDEP}]
+       >=dev-python/imagesize-1.3[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.1[${PYTHON_USEDEP}]
+       >=dev-python/packaging-23.0[${PYTHON_USEDEP}]
+       >=dev-python/pygments-2.14[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.30.0[${PYTHON_USEDEP}]
+       >=dev-python/snowballstemmer-2.2[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-applehelp-1.0.7[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-devhelp-1.0.6[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-htmlhelp-2.0.6[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-jsmath-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-qthelp-1.0.6[${PYTHON_USEDEP}]
+       >=dev-python/sphinxcontrib-serializinghtml-1.1.9[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-2[${PYTHON_USEDEP}]
+       ' 3.10)
+       latex? (
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-luatex
+               app-text/dvipng
+       )
+"
+BDEPEND="
+       doc? (
+               dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+               media-gfx/graphviz
+       )
+       test? (
+               app-text/dvipng
+               >=dev-python/cython-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+               dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+               >=dev-python/setuptools-67.0[${PYTHON_USEDEP}]
+               dev-texlive/texlive-fontsextra
+               dev-texlive/texlive-latexextra
+               dev-texlive/texlive-luatex
+               virtual/imagemagick-tools[jpeg,png,svg]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/sphinx-3.2.1-doc-link.patch"
+       #"${FILESDIR}/sphinx-4.3.2-doc-link.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # disable internet access
+       sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+               doc/conf.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       # we can't use distutils_enable_sphinx because it would
+       # introduce a dep on itself
+       use doc && build_sphinx doc
+}
+
+python_test() {
+       mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+       local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+       local EPYTEST_DESELECT=(
+               # less interesting failures
+               tests/test_builders/test_build_latex.py::test_build_latex_doc
+               tests/test_extensions/test_ext_math.py::test_imgmath_png
+               tests/test_extensions/test_ext_math.py::test_imgmath_numfig_html
+       )
+       case ${EPYTHON} in
+               python3.13x)
+                       EPYTEST_DESELECT+=(
+                               
tests/test_extensions/test_ext_autodoc.py::test_autodoc_special_members
+                               
tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+                               
tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_format_fully_qualified
+                               
tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_none
+                               
tests/test_extensions/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+                       )
+                       ;;
+               pypy3)
+                       EPYTEST_DESELECT+=(
+                               
tests/test_extensions/test_ext_autodoc.py::test_autodoc_exception
+                               
tests/test_extensions/test_ext_autodoc.py::test_autodoc_ignore_module_all
+                               
tests/test_extensions/test_ext_autodoc.py::test_autodoc_inherited_members_None
+                               
tests/test_extensions/test_ext_autodoc.py::test_autodoc_subclass_of_builtin_class
+                               
tests/test_extensions/test_ext_autodoc.py::test_automethod_for_builtin
+                               
tests/test_extensions/test_ext_autodoc.py::test_cython
+                               
tests/test_extensions/test_ext_autodoc.py::test_format_signature
+                               
tests/test_extensions/test_ext_autodoc.py::test_partialfunction
+                               
tests/test_extensions/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+                               
tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_decendants_of_generic_type
+                               
tests/test_extensions/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+                               
tests/test_extensions/test_ext_autodoc_autofunction.py::test_builtin_function
+                               
tests/test_extensions/test_ext_autodoc_autofunction.py::test_methoddescriptor
+                               
tests/test_extensions/test_ext_autodoc_automodule.py::test_automodule_inherited_members
+                               
tests/test_extensions/test_ext_autodoc_preserve_defaults.py::test_preserve_defaults_special_constructs
+                               
tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+                               
tests/test_extensions/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+                               
tests/test_util/test_util_inspect.py::test_isattributedescriptor
+                               
tests/test_util/test_util_inspect.py::test_signature
+                               
tests/test_util/test_util_typing.py::test_is_invalid_builtin_class
+                       )
+                       ;;
+       esac
+
+       # note: pytest-xdist causes random test failures
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p rerunfailures --reruns=5
+}

Reply via email to